package com.lishihe.hosts.entity.constant;

/**
 * @author 3
 */
public class SocketConstant {

    public interface Systems {
        /**
         * socket 通讯名称
         */
        String SYS_USER_KEY = "u";
    }

    public interface MegType {
        /**
         * to=-2 退出登录的消息提示
         */
        String MT_TYPE_ONE_LOGOUT = "-2";
        /**
         * to=-1 群发消息
         */
        String MT_TYPE_ALL_RESERVE = "-1";
        /**
         * to=0 上线提示
         */
        String MT_TYPE_ONE_LOGIN = "0";
    }

    public interface Message{
        /**
         * 发送给某一个人的输入截取符号
         */
        String SPECIAL_TAG_SEND_TO_SOMEBODY = "@";
        /**
         * 退出当前账号
         */
        String SPECIAL_TAG_LOGIN_OUT = "##@";
        /**
         * 退出插件
         */
        String SPECIAL_TAG_PLUGS_OUT = "*##*";
    }

    public interface HttpRequest{
        /**
         * 验证账户接口
         */
        String REQ_HTTP_CHECK_LOGIN = "http://soc.nucun.cn/usr/login";

        /**
         * websocket 注册用户地址
         */
        String REQ_WS_CONNECT = "ws://106.14.62.168:8012/webSocket/";

        /**
         * 注册地址
         */
        String REQ_HTTP_DO_REGISTER = "http://soc.nucun.cn/usr/regShow";
    }

}
