package com.lishihe.hosts.utils;


import com.intellij.notification.*;
import com.intellij.openapi.ui.Messages;

/**
 * 插件基础公共组件
 *
 * @author chen
 */
public class PlugsUtils {

    /**
     * 警告浮窗
     *
     * @param msg 警告内容
     */
    public static void modalMessageWarn(String msg) {
        Messages.showMessageDialog(msg, "警告", Messages.getWarningIcon());
    }

    /**
     * 错误提示浮窗
     *
     * @param msg 错误提示内容
     */
    public static void modalMessageError(String msg) {
        Messages.showMessageDialog(msg, "错误", Messages.getErrorIcon());
    }

    /**
     * 友情提示浮窗
     *
     * @param msg 错误提示内容
     */
    public static void modalMessageInfo(String msg) {
        Messages.showMessageDialog(msg, "提示", Messages.getInformationIcon());
    }

}
